<ui:composition template="../template/template.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui="http://java.sun.com/jsf/facelets">

	<ui:define name="title">
        .:#{bandejaSalaDelUsuarioMB.nombreSistema}:.
    </ui:define>

	<ui:define name="headCont">
		<style>
.box-table-class .ui-datatable-scrollable-body thead th {
	opacity: 0;
	padding: 0;
}

.obs-pe {
	background: #d6effe;
	color: #68544F;
}

.obs-pe-vencida {
	background: #d6effe;
	color: red;
}

.obs-pe-por-vencer {
	background: #d6effe;
	color: green;
}

.sin-obs-pe-vencida {
	color: red;
}

.sin-obs-pe-por-vencer {
	color: green;
}

.ui-state-disabled {
	opacity: 1;
}

.ui-fieldset-general {
	
}

.without-selectall .ui-selectcheckboxmenu-header .ui-chkbox {
	display: none;
}
/* Select CheckBoxMenú */
.ui-selectcheckboxmenu-item:hover {
	background-color: #850100 !important;
	background-image: linear-gradient(to bottom, #BA0400, #840100)
		!important;
	color: #FFF
}

.ui-selectcheckboxmenu-item {
	font-size: 13.2px;
	font-weight: 300;
}

.ui-selectcheckboxmenu .ui-selectcheckboxmenu-trigger {
	width: auto !important;
	border-left: 1px solid #a8a8a8 !important;
	border-radius: 0px 0px 0px 0px !important;
	background: #F9F9F9 !important;
	box-shadow: 0px 0px #FFF;
}
</style>
	</ui:define>

	<ui:define name="titlePages">
		<span>BANDEJA SALA DEL USUARIO</span>
	</ui:define>
	<ui:define name="urlNavegacion">
		<li class="active">Registro de Usuarios de la Biblioteca Nacional</li>
		<li>Band. Sala del Usuario</li>
	</ui:define>
	<!-- administrador por BNP -->
	<ui:define name="content">
        #{bandejaSalaDelUsuarioMB.validarSesion()}
        #{bandejaSalaDelUsuarioMB.loadComboLists()}
	    <div class="row">

			<h:form id="frmBandejaSolicitud">

				<p:growl id="mensaje" showDetail="true" sticky="false" life="5000" />
				<div class="col-md-12 sin-bg-box">
					<p:fieldset styleClass="ui-fieldset-general">
						<div class="row box-mb">
							<div class="col-sm-12">
								<label class="control-label"><b>Buscar Registros:</b></label>
							</div>
						</div>

						<p:fieldset>
							<div class="row box-mb">
								<div class="col-sm-4">
									<div class="form-group">
										<h:outputLabel for="tipoUsuario" value="Tipo de Usuario : &#160;&#160;&#160;" styleClass="control-label" />
										<p:selectOneMenu id="tipoUsuario" value="#{bandejaSalaDelUsuarioMB.filtroTipoUsuarioBiblioteca}" styleClass="form-control style-select">
											<f:selectItem itemValue="0" itemLabel="--- Todos --- " />
											<f:selectItem itemValue="General" itemLabel="General" />
											<f:selectItem itemValue="Investigador" itemLabel="Investigador" />
										</p:selectOneMenu>	
									</div>
								</div>
								<div class="col-sm-4">
									<div class="form-group">
										<h:outputLabel for="txtNumDocumento" value="N&#186; Documento: " styleClass="control-label" />
										<p:inputText id="txtNumDocumento" value="#{bandejaSalaDelUsuarioMB.filtroNumeroDocumentoIdentidad}" maxlength="12" mask="99999999"											style="text-transform:uppercase"
											styleClass="form-control" tabindex="1" />
									</div>
								</div>
								<div class="col-sm-4">
									<div class="form-group">
										<h:outputLabel for="cboEstSol" value="Estado de Registro: &#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;"
											styleClass="control-label" />
										<p:selectOneMenu id="cboEstSol"  value="#{bandejaSalaDelUsuarioMB.filtroEstado}"
											styleClass="form-control style-select">
											<f:selectItem itemValue="0" itemLabel="--- Todos ---" />
											<f:selectItem itemValue="Registrado" itemLabel="Registrado" />
											<f:selectItem itemValue="Habilitado" itemLabel="Habilitado" />
											<f:selectItem itemValue="Suspendido" itemLabel="Suspendido" />
											<f:selectItem itemValue="Anulado" itemLabel="Anulado" />
										</p:selectOneMenu>
									</div>
								</div>
							</div>
							<div class="row box-mb">
								<div class="col-sm-4">
									<div class="form-group">
										<h:outputLabel for="txtNombres" value="Nombres: "
											styleClass="control-label" />
										<p:inputText id="txtNombres"
											value="#{bandejaSalaDelUsuarioMB.filtroNombre}"
											maxlength="70" style="text-transform:uppercase"
											onkeypress="return soloLetras(event)" required="false"
											styleClass="form-control" tabindex="1" />
									</div>
								</div>								
								<div class="col-sm-4">
									<div class="form-group">
										<h:outputLabel for="txtApPaterno" value="Apellido Paterno: "
											styleClass="control-label" />
										<p:inputText id="txtApPaterno"
											value="#{bandejaSalaDelUsuarioMB.filtroApellidoPaterno}"
											maxlength="60" style="text-transform:uppercase"
											onkeypress="return soloLetras(event)" required="false"
											styleClass="form-control" tabindex="1" />
									</div>
								</div>
								<div class="col-sm-4">
									<div class="form-group">
										<h:outputLabel for="txtApMaterno" value="Apellido Materno"
											styleClass="control-label" />
										<p:inputText id="txtApMaterno"
											value="#{bandejaSalaDelUsuarioMB.filtroApellidoMaterno}"
											maxlength="60" style="text-transform:uppercase"
											onkeypress="return soloLetras(event)" required="false"
											styleClass="form-control" tabindex="1" />
									</div>
								</div>
							</div>
							<br />
							<div class="row box-mb">
								<div
									class="col-sm-12 box-btn-tab text-right box-main-btn xx_box-btn">

									<p:commandButton id="idBuscar" value="Buscar"
										icon="icon-search ocultarImgIcon"
										styleClass="btn btn-default btn-sensitive btn-buscar"
										onclick="PF('statusDialog').show()"
										oncomplete="PF('statusDialog').hide()"
										actionListener="#{bandejaSalaDelUsuarioMB.realizarConsulta}"
										update="frmBandejaSolicitud" ajax="true" />

									<p:commandButton id="idLimpiar"
										styleClass="btn btn-default btn-sensitive btn-buscar"
										value="Limpiar"
										actionListener="#{bandejaSalaDelUsuarioMB.limpiarBusqueda}"
										icon="icon-limpiar" update="frmBandejaSolicitud" ajax="true" />
								</div>
							</div>

						</p:fieldset>
						<!-- *************************************************************************************************************************** -->
						<div class="row box-mb" style="margin-top: 15px;">
							<div class="col-sm-12">
								<label class="control-label"><b>Registros
										Encontrados:</b></label>
							</div>
						</div>

						<div class="row box-mb">
							<div class="col-sm-12 box-table-class">
								<div class="form-group">
									<!--******************************* Tabla con registros del combo seleccion: REGISTROS VIRTUALES ****************************************************-->
									<p:dataTable id="tblConsultas2" var="registro"
										value="#{bandejaSalaDelUsuarioMB.listaRegistroUsuario}"
										rowKey="#{registro.id}" paginator="true" scrollable="true"
										rowIndexVar="item" paginatorPosition="top" rows="10"
										style="text-align:center;" emptyMessage="No existen registros">

										<p:column headerText="ID"
											style="width:10px;text-aling:center;" sortBy="#{registro.id}">
											<h:outputText value="#{registro.id}" />
										</p:column>

										<p:column headerText="Cod. Lector AbsysNET" 
											style="width:15px;text-aling:center;" sortBy="#{registro.id}">
											<h:outputText value="#{registro.codBarrasAbsysnet}" />
										</p:column>

										<p:column headerText="F. Registro" style="width:20px;"
											sortBy="#{registro.fechaRegistro}">
											<h:outputText value="#{registro.fechaSolicitud}" />
										</p:column>

										<p:column headerText="Usuario" style="width:20px;"
											sortBy="#{registro.user.tipoUsuarioBiblioteca}">
											<h:outputText value="#{registro.user.tipoUsuarioBiblioteca}" />
										</p:column>

										<p:column headerText="Doc. Ident." style="width:35px;"
											sortBy="#{registro.numero_documento_identidad}">
											<h:outputText
												value="#{registro.user.tipoDocumentoIdentidadNombre} #{registro.user.numeroDocumentoIdentidad}" />
										</p:column>

										<p:column headerText="Ap. Paterno" style="width:40px;text-align:left"
											sortBy="#{registro.user.apellidoPaterno}">
											<h:outputText value="#{registro.user.apellidoPaterno}" />
										</p:column>

										<p:column headerText="Ap. Materno" style="width:40px;text-align:left"
											sortBy="#{registro.user.apellidoMaterno}">
											<h:outputText value="#{registro.user.apellidoMaterno}" />
										</p:column>

										<p:column headerText="Nombres" style="width:35px;text-align:left"
											sortBy="#{registro.nombres}">
											<h:outputText value="#{registro.user.nombre}" />
										</p:column>
										<p:column headerText="Estado" style="width:30px;"
											sortBy="#{registro.estadoRegistro}">
											<h:outputText value="#{registro.estadoRegistro}" />
										</p:column>
										<p:column
											headerText="Acción" style="width:20px;text-align:center;">
											<p:commandButton
												action="#{bandejaSalaDelUsuarioMB.seleccionarRegistroUsuario(registro)}"
												onclick="PF('statusDialog').show()"
												oncomplete="PF('statusDialog').hide()"
												title="Ver detalle de usuario" ajax="true"
												icon="ui-icon ui-icon-circle-plus" styleClass="colorSuccess"
												update=":frmBandejaSolicitud" />
										</p:column>

									</p:dataTable>

								</div>
							</div>
						</div>
						<!-- *************************************************************************************************************************** -->
					</p:fieldset>
				</div>
			</h:form>
			<p:dialog widgetVar="statusDialog" modal="true" draggable="false"
				closable="false" resizable="false" showHeader="false">
				<p:graphicImage value="../resources/img/loadingbar.gif" />
			</p:dialog>
		</div>

	</ui:define>

</ui:composition>